## r-cran-spam 1.0

=== DESCRIPTION ===
Package: spam
Version: 1.0-1
Date: 2014-09-09
Authors@R: c(person("Reinhard", "Furrer", role = c("aut", "cre"),
                     email = "reinhard.furrer@math.uzh.ch"),
              person("Florian", "Gerber", role = "ctb",
	             email = "florian.gerber@math.uzh.ch"))
Author: Reinhard Furrer [aut, cre], Florian Gerber [ctb]
Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Depends: R (>= 2.15), methods, grid
Suggests: fields, Matrix
Description: Set of functions for sparse matrix algebra.
  Differences with SparseM/Matrix are: 
  (1) we only support (essentially) one sparse matrix format, 
  (2) based on transparent and simple structure(s), 
  (3) tailored for MCMC calculations within GMRF. 
  (4) S3 and S4 like-"compatible"  ...     and it is fast.
LazyLoad: Yes
LazyData: Yes
License: LGPL-2
Title: SPArse Matrix
URL: http://www.math.uzh.ch/furrer/software/spam/
Packaged: 2014-09-09 10:53:35 UTC; furrer
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-09-09 15:03:03

## r-cran-spam 1.0-1

=== debian/changelog ===
r-cran-spam (1.0-1-1) unstable; urgency=medium

  * Initial release (Closes: #764731).

 -- Andreas Tille <tille@debian.org>  Fri, 10 Oct 2014 17:04:23 +0200

=== debian/control ===
Source: r-cran-spam
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9.0),
               cdbs,
               r-base-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-spam/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-spam/trunk/
Homepage: http://cran.r-project.org/web/packages/spam/

Package: r-cran-spam
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Description: GNU R functions for sparse matrix algebra
 Set of functions for sparse matrix algebra. Differences with SparseM/Matrix
 are:
  1. only (essentially) one sparse matrix format supported,
  2. based on transparent and simple structure(s),
  3. tailored for MCMC calculations within GMRF.
  4. S3 and S4 like-"compatible"

=== debian/rules ===
#!/usr/bin/make -f
#	-*- makefile -*-

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/spam_([-\d.]*)\.tar\.gz

## r-cran-spam 1.4

=== DESCRIPTION ===
Package: spam
Version: 1.4-0
Date: 2016-08-29
Authors@R: c(person("Reinhard", "Furrer", role = c("aut", "cre"),
                     email = "reinhard.furrer@math.uzh.ch"),
              person("Florian", "Gerber", role = "ctb",
	             email = "florian.gerber@math.uzh.ch"))
Author: Reinhard Furrer [aut, cre], Florian Gerber [ctb]
Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Depends: R (>= 3.0), grid
Imports: methods
Suggests: fields, Matrix, R.rsp, truncdist
VignetteBuilder: R.rsp
Description: Set of functions for sparse matrix algebra.
  Differences with SparseM/Matrix are: 
  (1) we only support (essentially) one sparse matrix format, 
  (2) based on transparent and simple structure(s), 
  (3) tailored for MCMC calculations within GMRF. 
  (4) S3 and S4 like-"compatible"  ...     and it is fast.
LazyLoad: Yes
LazyData: Yes
License: LGPL-2
Title: SPArse Matrix
URL: http://www.math.uzh.ch/furrer/software/spam/
NeedsCompilation: yes
Packaged: 2016-08-30 06:05:41 UTC; furrer
Repository: CRAN
Date/Publication: 2016-08-30 15:18:05

## r-cran-spam 1.4-0

=== debian/changelog ===
r-cran-spam (1.4-0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2016 12:36:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9.0),
-               cdbs,
+               dh-r,
                r-base-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-spam/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-spam/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-spam/trunk/
-Homepage: http://cran.r-project.org/web/packages/spam/
+Homepage: https://cran.r-project.org/package=spam
 
 Package: r-cran-spam
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R functions for sparse matrix algebra
  Set of functions for sparse matrix algebra. Differences with SparseM/Matrix
  are:

## r-cran-spam 2.1

=== DESCRIPTION ===
Package: spam
Type: Package
Title: SPArse Matrix
Version: 2.1-2
Date: 2017-12-21
Authors@R: c(person("Reinhard", "Furrer", role = c("aut", "cre"),
                    email = "reinhard.furrer@math.uzh.ch"),
             person("Florian", "Gerber", role = c("ctb"),
	                email = "florian.gerber@math.uzh.ch"),
	     person("Daniel", "Gerber", role = "ctb",
			email = "daniel_gerber_2222@hotmail.com"),
             person("Kaspar", "Moesinger", role = "ctb",
	                email = "kaspar.moesinger@gmail.com"),
             person("Youcef", "Saad", role = "ctb",
                        comment = "SPARSEKIT http://www-users.cs.umn.edu/~saad/software/SPARSKIT/"),
             person(c("Esmond", "G."), "Ng", role = "ctb",
                        comment = "Fortran Cholesky routines"),
             person(c("Barry", "W."), "Peyton", role = "ctb",
                        comment = "Fortran Cholesky routines"),
             person(c("Joseph", "W.H."), "Liu", role = "ctb",
                        comment = "Fortran Cholesky routines"),
             person(c("Alan", "D."), "George", role = "ctb",
                        comment = "Fortran Cholesky routines")
		 	)
Depends: R (>= 3.1), dotCall64, grid, methods
Suggests: spam64, fields, SparseM, Matrix, testthat, R.rsp, truncdist
VignetteBuilder: R.rsp
Description: Set of functions for sparse matrix algebra.
    Differences with other sparse matrix packages are:
    (1) we only support (essentially) one sparse matrix format,
    (2) based on transparent and simple structure(s),
    (3) tailored for MCMC calculations within G(M)RF.
    (4) and it is fast and scalable (with the extension package spam64).
LazyLoad: Yes
LazyData: Yes
License: LGPL-2
URL: https://git.math.uzh.ch/reinhard.furrer/spam
NeedsCompilation: yes
Packaged: 2017-12-22 13:59:46 UTC; ligges
Author: Reinhard Furrer [aut, cre],
  Florian Gerber [ctb],
  Daniel Gerber [ctb],
  Kaspar Moesinger [ctb],
  Youcef Saad [ctb] (SPARSEKIT
    http://www-users.cs.umn.edu/~saad/software/SPARSKIT/),
  Esmond G. Ng [ctb] (Fortran Cholesky routines),
  Barry W. Peyton [ctb] (Fortran Cholesky routines),
  Joseph W.H. Liu [ctb] (Fortran Cholesky routines),
  Alan D. George [ctb] (Fortran Cholesky routines)
Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Repository: CRAN
Date/Publication: 2017-12-22 14:59:47

## r-cran-spam 2.1-1

=== debian/changelog ===
r-cran-spam (2.1-1-2) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1-1
  * Move packaging from SVN to Git.
  * Fix autopkgtest:
    + add missing r-cran-{testthat,fields} test dependencies
    + skip demo_jss15-Leroux.R test, needs truncdist which is not in Debian
    + update d/tests/run-unit-test so that it displays test results
  * Bump Standards-Version to 4.1.1.
  * d/watch: bump to file format v4, use secure URL.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Nov 2017 15:46:50 +0100

r-cran-spam (2.1-1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * use dh-r instead of cdbs
  * Standards-Version: 4.1.0 (no changes needed)
  * Canonical homepage for CRAN packages

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 22:16:13 +0200

=== debian/control ===
Source: r-cran-spam
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-dotcall64
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-spam.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-spam.git
Homepage: https://cran.r-project.org/package=spam

Package: r-cran-spam
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R functions for sparse matrix algebra
 Set of functions for sparse matrix algebra. Differences with SparseM/Matrix
 are:
  1. only (essentially) one sparse matrix format supported,
  2. based on transparent and simple structure(s),
  3. tailored for MCMC calculations within GMRF.
  4. S3 and S4 like-"compatible"

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-fields
Restrictions: allow-stderr

## r-cran-spam 2.1-2

=== debian/changelog ===
r-cran-spam (2.1-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1-2
  * d/copyright: reflect upstream changes.
  * Bump to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3.
  * Reactivate demo_jss15-Leroux.R test, now that truncdist is in Debian.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 20 Feb 2018 16:29:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-r,
                r-base-dev,
                r-cran-dotcall64
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-spam.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-spam.git
 Homepage: https://cran.r-project.org/package=spam

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/spam_([-\d.]*)\.tar\.gz

## r-cran-spam 2.2

=== DESCRIPTION ===
Package: spam
Type: Package
Title: SPArse Matrix
Version: 2.2-1
Date: 2018-12-20
Authors@R: c(person("Reinhard", "Furrer", role = c("aut", "cre"),
                    email = "reinhard.furrer@math.uzh.ch"),
             person("Florian", "Gerber", role = c("ctb"),
                    email = "florian.gerber@math.uzh.ch"),
             person("Roman", "Flury", role = c("ctb"),
                    email = "roman.flury@math.uzh.ch"),
             person("Daniel", "Gerber", role = "ctb",
                    email = "daniel_gerber_2222@hotmail.com"),
             person("Kaspar", "Moesinger", role = "ctb",
                    email = "kaspar.moesinger@gmail.com"),
             person("Youcef", "Saad", role = "ctb",
                    comment = "SPARSEKIT http://www-users.cs.umn.edu/~saad/software/SPARSKIT/"),
             person(c("Esmond", "G."), "Ng", role = "ctb",
                    comment = "Fortran Cholesky routines"),
             person(c("Barry", "W."), "Peyton", role = "ctb",
                    comment = "Fortran Cholesky routines"),
             person(c("Joseph", "W.H."), "Liu", role = "ctb",
                    comment = "Fortran Cholesky routines"),
             person(c("Alan", "D."), "George", role = "ctb",
                    comment = "Fortran Cholesky routines"),
             person(c("Lehoucq", "B."), "Rich", role = "ctb",
                    comment = "ARPACK"),
             person(c("Maschhoff"), "Kristi", role = "ctb",
                    comment = "ARPACK"),
             person(c("Sorensen", "C."), "Danny", role = "ctb",
                    comment = "ARPACK"),
             person(c("Yang"), "Chao", role = "ctb",
                    comment = "ARPACK"))
Depends: R (>= 3.1), dotCall64, grid, methods
Suggests: spam64, fields, SparseM, Matrix, testthat, R.rsp, truncdist,
        knitr, rmarkdown
VignetteBuilder: R.rsp, knitr
Description: Set of functions for sparse matrix algebra.
    Differences with other sparse matrix packages are:
    (1) we only support (essentially) one sparse matrix format,
    (2) based on transparent and simple structure(s),
    (3) tailored for MCMC calculations within G(M)RF.
    (4) and it is fast and scalable (with the extension package spam64).
LazyData: true
License: LGPL-2 | BSD_3_clause + file LICENSE
URL: https://www.math.uzh.ch/pages/spam/
BugReports: https://git.math.uzh.ch/reinhard.furrer/spam/issues
RoxygenNote: 6.1.0
NeedsCompilation: yes
Packaged: 2018-12-20 08:17:45 UTC; roflur
Author: Reinhard Furrer [aut, cre],
  Florian Gerber [ctb],
  Roman Flury [ctb],
  Daniel Gerber [ctb],
  Kaspar Moesinger [ctb],
  Youcef Saad [ctb] (SPARSEKIT
    http://www-users.cs.umn.edu/~saad/software/SPARSKIT/),
  Esmond G. Ng [ctb] (Fortran Cholesky routines),
  Barry W. Peyton [ctb] (Fortran Cholesky routines),
  Joseph W.H. Liu [ctb] (Fortran Cholesky routines),
  Alan D. George [ctb] (Fortran Cholesky routines),
  Lehoucq B. Rich [ctb] (ARPACK),
  Maschhoff Kristi [ctb] (ARPACK),
  Sorensen C. Danny [ctb] (ARPACK),
  Yang Chao [ctb] (ARPACK)
Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Repository: CRAN
Date/Publication: 2018-12-20 11:40:03 UTC

## r-cran-spam 2.2-0

=== debian/changelog ===
r-cran-spam (2.2-0-1build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:27:19 +0000

r-cran-spam (2.2-0-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jun 2018 21:17:00 +0200

r-cran-spam (2.1-4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Apr 2018 19:51:40 +0200

r-cran-spam (2.1-3-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Mon, 09 Apr 2018 22:39:25 +0200

=== debian/control ===
Source: r-cran-spam
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-dotcall64
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
Homepage: https://cran.r-project.org/package=spam

Package: r-cran-spam
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R functions for sparse matrix algebra
 Set of functions for sparse matrix algebra. Differences with SparseM/Matrix
 are:
  1. only (essentially) one sparse matrix format supported,
  2. based on transparent and simple structure(s),
  3. tailored for MCMC calculations within GMRF.
  4. S3 and S4 like-"compatible"

## r-cran-spam 2.2-1

=== debian/changelog ===
r-cran-spam (2.2-1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 10:54:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-dotcall64
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
 Homepage: https://cran.r-project.org/package=spam

## r-cran-spam 2.2-2

=== debian/changelog ===
r-cran-spam (2.2-2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 22:15:39 +0200

## r-cran-spam 2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: spam
 Type: Package
 Title: SPArse Matrix
-Version: 2.2-1
-Date: 2018-12-20
+Version: 2.5-1
+Date: 2019-12-12
 Authors@R: c(person("Reinhard", "Furrer", role = c("aut", "cre"),
                     email = "reinhard.furrer@math.uzh.ch"),
-             person("Florian", "Gerber", role = c("ctb"),
+             person("Florian", "Gerber", role = c("aut"),
                     email = "florian.gerber@math.uzh.ch"),
-             person("Roman", "Flury", role = c("ctb"),
+             person("Roman", "Flury", role = c("aut"),
                     email = "roman.flury@math.uzh.ch"),
              person("Daniel", "Gerber", role = "ctb",
                     email = "daniel_gerber_2222@hotmail.com"),
@@ -41,16 +41,16 @@
     (2) based on transparent and simple structure(s),
     (3) tailored for MCMC calculations within G(M)RF.
     (4) and it is fast and scalable (with the extension package spam64).
+    Documentation about 'spam' is provided by vignettes included in this package, see also Furrer and Sain (2010) <doi:10.18637/jss.v036.i10>; see 'citation("spam")' for details.
 LazyData: true
 License: LGPL-2 | BSD_3_clause + file LICENSE
 URL: https://www.math.uzh.ch/pages/spam/
 BugReports: https://git.math.uzh.ch/reinhard.furrer/spam/issues
-RoxygenNote: 6.1.0
 NeedsCompilation: yes
-Packaged: 2018-12-20 08:17:45 UTC; roflur
+Packaged: 2019-12-12 12:30:52 UTC; roflur
 Author: Reinhard Furrer [aut, cre],
-  Florian Gerber [ctb],
-  Roman Flury [ctb],
+  Florian Gerber [aut],
+  Roman Flury [aut],
   Daniel Gerber [ctb],
   Kaspar Moesinger [ctb],
   Youcef Saad [ctb] (SPARSEKIT
@@ -65,4 +65,4 @@
   Yang Chao [ctb] (ARPACK)
 Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
 Repository: CRAN
-Date/Publication: 2018-12-20 11:40:03 UTC
+Date/Publication: 2019-12-12 17:00:03 UTC

## r-cran-spam 2.5-1

=== debian/changelog ===
r-cran-spam (2.5-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2020 15:00:55 +0100

r-cran-spam (2.5-0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Dec 2019 11:38:16 +0100

r-cran-spam (2.4-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 13:07:57 +0100

r-cran-spam (2.3-0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 10:24:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-dotcall64
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
 Homepage: https://cran.r-project.org/package=spam

## r-cran-spam 2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Package: spam
 Type: Package
 Title: SPArse Matrix
-Version: 2.5-1
-Date: 2019-12-12
+Version: 2.6-0
+Date: 2020-12-14
 Authors@R: c(person("Reinhard", "Furrer", role = c("aut", "cre"),
-                    email = "reinhard.furrer@math.uzh.ch"),
+                    email = "reinhard.furrer@math.uzh.ch",
+                    comment = c(ORCID = "0000-0002-6319-2332")),
              person("Florian", "Gerber", role = c("aut"),
-                    email = "florian.gerber@math.uzh.ch"),
+                    email = "florian.gerber@math.uzh.ch",
+                    comment = c(ORCID = "0000-0001-8545-5263")),
              person("Roman", "Flury", role = c("aut"),
-                    email = "roman.flury@math.uzh.ch"),
+                    email = "roman.flury@math.uzh.ch",
+                    comment = c(ORCID = "0000-0002-0349-8698")),
              person("Daniel", "Gerber", role = "ctb",
                     email = "daniel_gerber_2222@hotmail.com"),
              person("Kaspar", "Moesinger", role = "ctb",
@@ -32,8 +35,8 @@
              person(c("Yang"), "Chao", role = "ctb",
                     comment = "ARPACK"))
 Depends: R (>= 3.1), dotCall64, grid, methods
-Suggests: spam64, fields, SparseM, Matrix, testthat, R.rsp, truncdist,
-        knitr, rmarkdown
+Suggests: spam64, fields, Matrix, testthat, R.rsp, truncdist, knitr,
+        rmarkdown
 VignetteBuilder: R.rsp, knitr
 Description: Set of functions for sparse matrix algebra.
     Differences with other sparse matrix packages are:
@@ -45,12 +48,12 @@
 LazyData: true
 License: LGPL-2 | BSD_3_clause + file LICENSE
 URL: https://www.math.uzh.ch/pages/spam/
-BugReports: https://git.math.uzh.ch/reinhard.furrer/spam/issues
+BugReports: https://git.math.uzh.ch/reinhard.furrer/spam/-/issues
 NeedsCompilation: yes
-Packaged: 2019-12-12 12:30:52 UTC; roflur
-Author: Reinhard Furrer [aut, cre],
-  Florian Gerber [aut],
-  Roman Flury [aut],
+Packaged: 2020-12-14 20:22:07 UTC; roflur
+Author: Reinhard Furrer [aut, cre] (<https://orcid.org/0000-0002-6319-2332>),
+  Florian Gerber [aut] (<https://orcid.org/0000-0001-8545-5263>),
+  Roman Flury [aut] (<https://orcid.org/0000-0002-0349-8698>),
   Daniel Gerber [ctb],
   Kaspar Moesinger [ctb],
   Youcef Saad [ctb] (SPARSEKIT
@@ -65,4 +68,4 @@
   Yang Chao [ctb] (ARPACK)
 Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
 Repository: CRAN
-Date/Publication: 2019-12-12 17:00:03 UTC
+Date/Publication: 2020-12-14 21:30:02 UTC

## r-cran-spam 2.6-0

=== debian/changelog ===
r-cran-spam (2.6-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:51:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dotcall64
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
 Homepage: https://cran.r-project.org/package=spam
+Rules-Requires-Root: no
 
 Package: r-cran-spam
 Architecture: any

## r-cran-spam 2.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: spam
 Type: Package
 Title: SPArse Matrix
-Version: 2.6-0
-Date: 2020-12-14
+Version: 2.8-0
+Date: 2022-01-05
 Authors@R: c(person("Reinhard", "Furrer", role = c("aut", "cre"),
                     email = "reinhard.furrer@math.uzh.ch",
                     comment = c(ORCID = "0000-0002-6319-2332")),
@@ -34,7 +34,8 @@
                     comment = "ARPACK"),
              person(c("Yang"), "Chao", role = "ctb",
                     comment = "ARPACK"))
-Depends: R (>= 3.1), dotCall64, grid, methods
+Depends: R (>= 3.1)
+Imports: dotCall64, grid, methods
 Suggests: spam64, fields, Matrix, testthat, R.rsp, truncdist, knitr,
         rmarkdown
 VignetteBuilder: R.rsp, knitr
@@ -50,7 +51,7 @@
 URL: https://www.math.uzh.ch/pages/spam/
 BugReports: https://git.math.uzh.ch/reinhard.furrer/spam/-/issues
 NeedsCompilation: yes
-Packaged: 2020-12-14 20:22:07 UTC; roflur
+Packaged: 2022-01-05 20:23:31 UTC; furrer
 Author: Reinhard Furrer [aut, cre] (<https://orcid.org/0000-0002-6319-2332>),
   Florian Gerber [aut] (<https://orcid.org/0000-0001-8545-5263>),
   Roman Flury [aut] (<https://orcid.org/0000-0002-0349-8698>),
@@ -68,4 +69,4 @@
   Yang Chao [ctb] (ARPACK)
 Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
 Repository: CRAN
-Date/Publication: 2020-12-14 21:30:02 UTC
+Date/Publication: 2022-01-06 07:30:02 UTC

## r-cran-spam 2.8-0

=== debian/changelog ===
r-cran-spam (2.8-0-1) unstable; urgency=medium

  * New upstream version
  * Drop patch applied upstream

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jan 2022 10:44:11 +0100

r-cran-spam (2.7-0-2) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Disable reprotest

  [ Sébastien Villemot ]
  * buffer-overflow.patch: new patch, fixes autopkgtest on i386 in the context
    of the testing migration of lapack 3.10.0-1

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 01 Oct 2021 15:30:51 +0200

r-cran-spam (2.7-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Aug 2021 07:35:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-dotcall64
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
 Homepage: https://cran.r-project.org/package=spam

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-fields, r-cran-truncdist
Restrictions: allow-stderr

## r-cran-spam 2.9-1

=== debian/changelog ===
r-cran-spam (2.9-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 16:04:52 +0200

r-cran-spam (2.9-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jul 2022 11:38:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-spam
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
+Homepage: https://cran.r-project.org/package=spam
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dotcall64
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
-Homepage: https://cran.r-project.org/package=spam
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spam
 Architecture: any

## r-cran-spam 2.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: spam
 Type: Package
 Title: SPArse Matrix
-Version: 2.8-0
-Date: 2022-01-05
+Version: 2.10-0
+Date: 2023-10-23
 Authors@R: c(person("Reinhard", "Furrer", role = c("aut", "cre"),
                     email = "reinhard.furrer@math.uzh.ch",
                     comment = c(ORCID = "0000-0002-6319-2332")),
@@ -16,6 +16,7 @@
                     email = "daniel_gerber_2222@hotmail.com"),
              person("Kaspar", "Moesinger", role = "ctb",
                     email = "kaspar.moesinger@gmail.com"),
+	     person("Cincera", "Annina", email = "annina.cincera@math.uzh.ch", role = "ctb"),
              person("Youcef", "Saad", role = "ctb",
                     comment = "SPARSEKIT http://www-users.cs.umn.edu/~saad/software/SPARSKIT/"),
              person(c("Esmond", "G."), "Ng", role = "ctb",
@@ -34,8 +35,9 @@
                     comment = "ARPACK"),
              person(c("Yang"), "Chao", role = "ctb",
                     comment = "ARPACK"))
-Depends: R (>= 3.1)
-Imports: dotCall64, grid, methods
+Depends: R (>= 3.5)
+Imports: dotCall64, grid, methods, Rcpp (>= 1.0.8.3)
+LinkingTo: Rcpp
 Suggests: spam64, fields, Matrix, testthat, R.rsp, truncdist, knitr,
         rmarkdown
 VignetteBuilder: R.rsp, knitr
@@ -51,12 +53,13 @@
 URL: https://www.math.uzh.ch/pages/spam/
 BugReports: https://git.math.uzh.ch/reinhard.furrer/spam/-/issues
 NeedsCompilation: yes
-Packaged: 2022-01-05 20:23:31 UTC; furrer
+Packaged: 2023-10-23 07:47:45 UTC; furrer
 Author: Reinhard Furrer [aut, cre] (<https://orcid.org/0000-0002-6319-2332>),
   Florian Gerber [aut] (<https://orcid.org/0000-0001-8545-5263>),
   Roman Flury [aut] (<https://orcid.org/0000-0002-0349-8698>),
   Daniel Gerber [ctb],
   Kaspar Moesinger [ctb],
+  Cincera Annina [ctb],
   Youcef Saad [ctb] (SPARSEKIT
     http://www-users.cs.umn.edu/~saad/software/SPARSKIT/),
   Esmond G. Ng [ctb] (Fortran Cholesky routines),
@@ -69,4 +72,4 @@
   Yang Chao [ctb] (ARPACK)
 Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
 Repository: CRAN
-Date/Publication: 2022-01-06 07:30:02 UTC
+Date/Publication: 2023-10-23 09:30:02 UTC

## r-cran-spam 2.10-0

=== debian/changelog ===
r-cran-spam (2.10-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Oct 2023 16:24:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
 Homepage: https://cran.r-project.org/package=spam
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-dotcall64
+               r-cran-dotcall64,
+               r-cran-rcpp (>= 1.0.8.3)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spam

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-fields,
        r-cran-matrix,
        r-cran-testthat,
        r-cran-r.rsp,
        r-cran-truncdist,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-spam 2.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: spam
 Type: Package
 Title: SPArse Matrix
-Version: 2.10-0
-Date: 2023-10-23
+Version: 2.11-1
+Date: 2025-01-20
 Authors@R: c(person("Reinhard", "Furrer", role = c("aut", "cre"),
                     email = "reinhard.furrer@math.uzh.ch",
                     comment = c(ORCID = "0000-0002-6319-2332")),
@@ -16,7 +16,7 @@
                     email = "daniel_gerber_2222@hotmail.com"),
              person("Kaspar", "Moesinger", role = "ctb",
                     email = "kaspar.moesinger@gmail.com"),
-	     person("Cincera", "Annina", email = "annina.cincera@math.uzh.ch", role = "ctb"),
+             person("Annina", "Cincera", email = "annina.cincera@math.uzh.ch", role = "ctb"),
              person("Youcef", "Saad", role = "ctb",
                     comment = "SPARSEKIT http://www-users.cs.umn.edu/~saad/software/SPARSKIT/"),
              person(c("Esmond", "G."), "Ng", role = "ctb",
@@ -35,7 +35,7 @@
                     comment = "ARPACK"),
              person(c("Yang"), "Chao", role = "ctb",
                     comment = "ARPACK"))
-Depends: R (>= 3.5)
+Depends: R (>= 4.0)
 Imports: dotCall64, grid, methods, Rcpp (>= 1.0.8.3)
 LinkingTo: Rcpp
 Suggests: spam64, fields, Matrix, testthat, R.rsp, truncdist, knitr,
@@ -53,13 +53,13 @@
 URL: https://www.math.uzh.ch/pages/spam/
 BugReports: https://git.math.uzh.ch/reinhard.furrer/spam/-/issues
 NeedsCompilation: yes
-Packaged: 2023-10-23 07:47:45 UTC; furrer
+Packaged: 2025-01-20 19:24:40 UTC; furrer
 Author: Reinhard Furrer [aut, cre] (<https://orcid.org/0000-0002-6319-2332>),
   Florian Gerber [aut] (<https://orcid.org/0000-0001-8545-5263>),
   Roman Flury [aut] (<https://orcid.org/0000-0002-0349-8698>),
   Daniel Gerber [ctb],
   Kaspar Moesinger [ctb],
-  Cincera Annina [ctb],
+  Annina Cincera [ctb],
   Youcef Saad [ctb] (SPARSEKIT
     http://www-users.cs.umn.edu/~saad/software/SPARSKIT/),
   Esmond G. Ng [ctb] (Fortran Cholesky routines),
@@ -72,4 +72,4 @@
   Yang Chao [ctb] (ARPACK)
 Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
 Repository: CRAN
-Date/Publication: 2023-10-23 09:30:02 UTC
+Date/Publication: 2025-01-20 23:50:02 UTC

## r-cran-spam 2.11-0

=== debian/changelog ===
r-cran-spam (2.11-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 12:48:32 +0900

## r-cran-spam 2.11-1

=== debian/changelog ===
r-cran-spam (2.11-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 08:48:16 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
 Homepage: https://cran.r-project.org/package=spam
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-spam 2.11-3

=== debian/changelog ===
r-cran-spam (2.11-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Feb 2026 13:58:36 +0900

=== debian/control ===
Source: r-cran-spam
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-dotcall64,
 r-cran-rcpp,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spam
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spam.git
Homepage: https://cran.r-project.org/package=spam
Rules-Requires-Root: no

Package: r-cran-spam
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R functions for sparse matrix algebra
 Set of functions for sparse matrix algebra. Differences with SparseM/Matrix
 are:
  1. only (essentially) one sparse matrix format supported,
  2. based on transparent and simple structure(s),
  3. tailored for MCMC calculations within GMRF.
  4. S3 and S4 like-"compatible"

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-fields,
 r-cran-matrix,
 r-cran-testthat,
 r-cran-r.rsp,
 r-cran-truncdist,
 r-cran-knitr,
 r-cran-rmarkdown,
